Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
smartlock::DoorAccessControl::DoorAccessRuleChangedEvent Struct Reference

Event: Door access rule modified. More...

`import <DoorAccessControl.idl;`

Inheritance diagram for smartlock::DoorAccessControl::DoorAccessRuleChangedEvent:

## Public Attributes
int | ruleId
| Id of modified rule.
DoorAccessRule | oldRule
| Old rule settings, cardUid and pin will be filtered.
DoorAccessRule | newRule
| New rule settings, cardUid and pin will be filtered.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Door access rule modified.

Definition at line 160 of file DoorAccessControl.idl.

## Member Data Documentation

## ◆ newRule

DoorAccessRule smartlock::DoorAccessControl::DoorAccessRuleChangedEvent::newRule

New rule settings, cardUid and pin will be filtered.

Definition at line 163 of file DoorAccessControl.idl.

## ◆ oldRule

DoorAccessRule smartlock::DoorAccessControl::DoorAccessRuleChangedEvent::oldRule

Old rule settings, cardUid and pin will be filtered.

Definition at line 162 of file DoorAccessControl.idl.

## ◆ ruleId

int smartlock::DoorAccessControl::DoorAccessRuleChangedEvent::ruleId

Id of modified rule.

Definition at line 161 of file DoorAccessControl.idl.

The documentation for this struct was generated from the following file:

- DoorAccessControl.idl